<?php

declare(strict_types=1);

namespace App\Business\DataImport\Handlers;

use App\Business\DataImport\Enums\DataImportType;
use App\Models\DberpCustomerCategory;

final class CustomerCategoryImportHandler extends AbstractPartnerCategoryImportHandler
{
    public function importType(): DataImportType
    {
        return DataImportType::CustomerCategory;
    }

    protected function categoryModelClass(): string
    {
        return DberpCustomerCategory::class;
    }
}
